shellcheck:
  image: koalaman/shellcheck-alpine:latest
  stage: test
  script:
    - shellcheck --color=always mft_renderfarm.sh
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes: 
        - mft_renderfarm.sh
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      changes: 
        - mft_renderfarm.sh
  allow_failure: true